View Javadoc

    1   package net.sourceforge.pmd.lang.java.ast;
    2
    3   /**
    4    * This interface allows a Java Class to be associtated with a node.
    5    */
    6   public interface TypeNode {
    7
    8   	/**
    9   	 * Get the Java Class associated with this node.
    10  	 * @return The Java Class, may return <code>null</code>.
    11  	 */
    12  	Class<?> getType();
    13
    14  	/**
    15  	 * Set the Java Class associated with this node.
    16  	 * @param type A Java Class
    17  	 */
    18  	void setType(Class<?> type);
    19  }